#include<iostream>
using namespace std;
int main()
{
    long long int d,s,u;
    cin>>d>>s>>u;
    int brc;
    long long skok;
    int k=0;
    long long int br=0;
    do{
    skok=s+k*u;
    br=br+skok;
    brc++;
    k++   ;
    }while(br<d)

cout<<brc<<endl;
    return 0;
}
